tigase.server.bosh

## Class BoshSessionCache

- java.lang.Object
- - tigase.server.bosh.BoshSessionCache

-     public class BoshSessionCache
      extends Object

  Describe class BoshSessionCache here.
  Created: Mon Feb 25 23:54:57 2008
  Author:
    Artur Hefczyc

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DEF_ID`
    `protected Map<String,Long>` | `jid_msg_start` Cached time of the first message to/from some jid to speedup message caching processing
    `static String` | `MESSAGE_ID`
    `static String` | `RESOURCE_BIND_ID`
    `static String` | `ROSTER_ID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BoshSessionCache()` Creates a new `BoshSessionCache` instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(String id, List<Element> data)`
    `void` | `addFromMessage(Element message)`
    `void` | `addPresence(Element presence)`
    `void` | `addRoster(Element roster)`
    `void` | `addToMessage(Element message)`
    `List<Element>` | `get(String id)`
    `List<Element>` | `getAll()`
    `List<Element>` | `getAllPresences()`
    `List<Element>` | `getPresence(String... from)`
    `List<Element>` | `remove(String id)`
    `void` | `set(String id, List<Element> data)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEF_ID

          public static final String DEF_ID

      See Also:
        Constant Field Values

    - #### MESSAGE_ID

          public static final String MESSAGE_ID

      See Also:
        Constant Field Values

    - #### RESOURCE_BIND_ID

          public static final String RESOURCE_BIND_ID

      See Also:
        Constant Field Values

    - #### ROSTER_ID

          public static final String ROSTER_ID

      See Also:
        Constant Field Values

    - #### jid_msg_start

          protected Map<String,Long> jid_msg_start

      Cached time of the first message to/from some jid to speedup message caching processing

  - ### Constructor Detail

    - #### BoshSessionCache

          public BoshSessionCache()

      Creates a new `BoshSessionCache` instance.

  - ### Method Detail

    - #### add

          public void add(String id,
                          List<Element> data)

    - #### addFromMessage

          public void addFromMessage(Element message)

    - #### addPresence

          public void addPresence(Element presence)

    - #### addRoster

          public void addRoster(Element roster)

    - #### addToMessage

          public void addToMessage(Element message)

    - #### get

          public List<Element> get(String id)

    - #### getAll

          public List<Element> getAll()

    - #### getAllPresences

          public List<Element> getAllPresences()

    - #### getPresence

          public List<Element> getPresence(String... from)

    - #### remove

          public List<Element> remove(String id)

    - #### set

          public void set(String id,
                          List<Element> data)

Copyright © 2004–2021 "Tigase, Inc.". All rights reserved.